Incorrect mobile network displayed for mobile virtual operators

RESOLVED WONTFIX

Status

Firefox OS
Gaia::System
RESOLVED WONTFIX
6 years ago
3 months ago

People

(Reporter: GH to BZ, Unassigned)

Tracking

unspecified

Firefox Tracking Flags

(blocking-basecamp:-)

Details

(Whiteboard: [label:system])

(Reporter)

Description

6 years ago
[GitHub issue by lissyx on 2012-09-18T10:59:35Z, https://github.com/mozilla-b2g/gaia/issues/4861]
Currently, the Gaia interfaces displays the operator name from "operatorchange" event everywhere. Testing with a SIM card from a french Mobile Virtual Network Operator (NRJ Mobile), it turns out the displayed network is not the same on Gaia than on any other mobile phone: we show "Orange F" while all others shows "NRJ Mobile".

Debug shows for icc event:
I/Gecko   (   77): -*- RILContentHelper: Received message 'RIL:IccInfoChanged': {"imsi":"20801XXXXXX","iccid":"XXXXXX","rilMessageType":"iccinfochange","ad":{"0":0,"1":0,"2":1,"3":2},"mcc":208,"mnc":1,"spn":"NRJ Mobile"}

While operator event:
I/Gecko   (   77): -*- RILContentHelper: Received message 'RIL:VoiceInfoChanged': {"connected":true,"emergencyCallsOnly":false,"roaming":false,"network":{"rilMessageType":"operatorchange","longName":"Orange F","shortName":"Orange F","mcc":208,"mnc":1},"cell":{"gsmLocationAreaCode":1306,"gsmCellId":14422462},"type":"gsm","signalStrength":-103,"relSignalStrength":16,"state":"registered"}

Since gaia currently uses those operator change events, it explains the behavior.
(Reporter)

Comment 1

6 years ago
[GitHub comment by lissyx on 2012-09-18T17:20:19Z]
Maybe related to the usage of SPN display condition ?
http://www.etsi.org/deliver/etsi_ts/131100_131199/131102/08.04.00_60/ts_131102v080400p.pdf#27

It states « The ME shall use the service provider name in the text format or the graphical format or both to display the service provider name according to the rules defined in section 4.2.88. »

And to add to the discussion, a Chromium-OS bug related: http://code.google.com/p/chromium-os/issues/detail?id=21522#c2
(Reporter)

Comment 2

6 years ago
[GitHub comment by lissyx on 2012-09-21T19:49:34Z]
I've opened a platform bug at https://bugzilla.mozilla.org/show_bug.cgi?id=793111
(Reporter)

Comment 3

6 years ago
[GitHub comment by autonome on 2012-09-24T15:53:55Z]
Not holding V1 for this.

Updated

6 years ago
Component: Gaia → Gaia::System

Comment 4

3 months ago
Firefox OS is not being worked on
Status: NEW → RESOLVED
Last Resolved: 3 months ago
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.